Method: projects.locations.clusters.create

Creates a new Cluster in a given project and location.

HTTP request

POST https://hypercomputecluster.googleapis.com/v1/{parent=projects/*/locations/*}/clusters

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent location in which the cluster should be created, in the format projects/{project}/locations/{location}.

Query parameters

Parameters
clusterId

string

Required. The ID of the cluster to create. The cluster ID must start with a lowercase letter (a-z), use only lowercase letters or numbers, and contain up to 10 characters. For example, specify cluster001.

requestId

string

Optional. A unique identifier for this request. A random UUID is recommended. This request is idempotent if and only if requestId is provided.

Request body

The request body contains an instance of Cluster.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • hypercomputecluster.clusters.create

For more information, see the IAM documentation.